<mat-card class="cust-card" style="background-color: white;">
<h1 mat-dialog-title> Show your Colt Cowboy ! </h1>
<div mat-dialog-content>
    {{data.message}}
</div> 
<mat-dialog-actions align="end">
  <button mat-button mat-dialog-close (click)="challengeChoice()">  No  </button>
  <button mat-button mat-dialog-close (click)="challengeChoice(true)"> Yes </button>
</mat-dialog-actions>
</mat-card>